<script lang="ts">
    import SidebarMenuButton from './SidebarMenuButton.svelte'
    import type { Target } from '$lib/TypeDefinitions.js'

    export let heading: string;
    export let targets: Target[];

    let collection_style = "none";


    function handle_button_event(event: CustomEvent) {
        if(event.detail.value) {
            collection_style = "none";
        } else {
            collection_style = "block";
        }
    }

</script>

<div class="menu">
    <SidebarMenuButton label={heading} on:message={handle_button_event}/>
    {#each targets as target }
        <div class="content" style="display: {collection_style}">
            <a href={target.link}>{target.label}</a>
        </div>
    {/each}
</div>

<style>
    .content {
        padding-left: 48px;
        display: none;
        overflow: hidden;
        /* background-color: #f1f1f1; */
    }
    .menu {
        font-family: 'Muli', arial, verdana, helvetica, sans-serif;
        /* padding: 8px 8px 8px 30px; */
        padding-left: 12px;
        display: block;
        transition: 0.5s;
        cursor: pointer;
    }
</style>
